import { HttpClient } from '@angular/common/http';
import { ApiVisa, BaseApiTemplateService } from '../../shared';
import { MofDocumentLineAttachmentContainerModel } from '../../../../../../models';
import { Observable } from 'rxjs';
export declare class MofDocumentLineAttachmentService extends BaseApiTemplateService<MofDocumentLineAttachmentContainerModel> {
    endpointSubPath: string;
    readonly url: string;
    constructor(http: HttpClient);
    uploadImage(formData: FormData, visa: ApiVisa): Observable<Object>;
    updateImage(formData: FormData, attachmentGuid: any, visa: ApiVisa): Observable<Object>;
    getImage(hdrGuid: string, visa: ApiVisa): Observable<Blob>;
}
